Subject: Re: FTP directories and files

From: Bob Luckin <[email-masked]>
Date: Wed, 21 Jul 1999 12:02:41 CDT

> Mabuhay!

Mabuhay !  (My folks lived in the Philippines for a while.)

> I saw your email address on wu ftpd mailing list and I thought you can
> help me...Can you help me on my FTP server? I'm planning to prepare

I'll try to help, but you would be best posting your email to the list, so
that anyone can reply.  As it happens I don't use the guestgroup feature, so
someone else may be more able to help you (although I'll try).  I'm copying
this to the list in case more advice is needed.

> users to
> upload their webpage through FTP. I made a "webgrp" on /etc/group with
> GID of 20000... I also edited users in /etc/passwd.. like this:
> 
> nfi:x:502:20000:Nadia Ismael ( Asiagate
> ):/home1/support/nfi/www/./:/bin/ftponly
> 
> and of course I edited /etc/ftpaccess and add this line:
> 
> guestgroup  webgrp
> 
> I also made a dummy shell named "ftponly" to prevent telnet access. Now
> everything is working great! EXCEPT when I upload files using CuteFTP,
> BulletProof FTP clients.... yeah the files have been successfully
> uploaded.
> BUT I can't see the uploaded files. So I tried the old FTP of DOS...
> when I
> type "ls" I can see the uploaded files! Oh! but our users use CuteFTP,
> BulletProof FTP, etc.
> 
> Please.... can you help me?

You need to make sure that there is a copy of ls and any related libraries
under the directory each guest user is chrooted to.

So if their chrooted directory is /home1/support/nfi/www/, you'll need
   /home1/support/nfi/www/bin/ls
and if your ls uses shared libraries, you'll also need to put them in
   /home1/support/nfi/www/usr/lib

The next version of wu-ftpd will have a built-in ls, so this may not be
necessary when that comes out.  But until then, you need the relevant files
in the chrooted area.

I hope this solves the problem.

If not, these URL's are also a good source of help :-
wu-ftpd Resource Center:  http://www.landfield.com/wu-ftpd/
Guest how-to:             http://www.landfield.com/wu-ftpd/guest-howto.html
wu-ftpd FAQ:              http://www.cetis.hvu.nl/~koos/wu-ftpd-faq.html
wu-ftpd list archive:     http://www.landfield.com/wu-ftpd/mail-archive/

Cheers, Bob
-- 
Bob Luckin      [email-masked]